Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ichat
Class IChat

    java.lang.Object
      ix.icore.IXAgent
          ix.ichat.IChat

    public class IChat

extends IXAgent

A class for I-Chat as a standalone application main program

Field Summary
`(package private) ChatFrame` | `frame`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, mainAgent, nameListeners, startupDate, startupHooks, symbolName, textFrame`

Constructor Summary
`IChat()`

Method Summary
`void` | `handleNewChatMessage(ChatMessage message)` Handles new chat messages.
`static void` | `main(java.lang.String[] argv)` Main program.
`protected void` | `processCommandLineArguments()` Command-line argument processing for arguments used by all versions of I-Chat.
`void` | `startup()` Completes I-Chat setup and initialization.

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, addTool, adjustLookAndFeel, displayMessage, do_mainStartup, ensureTool, exit, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleInput, handleNewActivity, handleNewConstraint, handleNewIssue, handleNewReport, handleReceivedReport, installAgentExtensions, installAgentExtensions, isMainAgent, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, reportInputException, setAgentSymbolName, setEventLogger, setupISimTimer, startServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    ChatFrame frame

Constructor Detail

### IChat

    public IChat()

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Main program.

### processCommandLineArguments

    protected void processCommandLineArguments()

  Command-line argument processing for arguments used by all versions of I-Chat.

  Overrides:
    `processCommandLineArguments` in class `IXAgent`
  See Also:
    `IFUtil.adjustLookAndFeel()`, `IPC.makeCommunicationStrategy(String methodName)`, `ContactManager.processCommandLineArguments()`, `Debug.on`, `Parameters`

### startup

    public void startup()

  Completes I-Chat setup and initialization.

  Overrides:
    `startup` in class `IXAgent`

### handleNewChatMessage

    public void handleNewChatMessage(ChatMessage message)

  Handles new chat messages.

  Overrides:
    `handleNewChatMessage` in class `IXAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD